================================================================================
Multi-Core Intel(R) Xeon(R) Processor-Based Server BIOS Development
================================================================================
INTEL Enterprise Products and Services Division
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA
================================================================================
DATE    : August 17, 2007
TO      : Multi-Core Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : BIOS Release notes for version R0081
================================================================================
                           LEGAL INFORMATION
================================================================================

Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation 
may have patents or pending patent applications, trademarks, copyrights, or
other intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any such
patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2007 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : S5000.86B.10.00.0081.08172007
Build Date  : August 17, 2007

================================================================================
                           BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported: 
  Dual-Core Intel(R) Xeon(R) Processor 5000 series w/ 533Mhz/667Mhz/1066Mhz FSB
  Dual-Core Intel(R) Xeon(R) Processor 5100 series w/ 1066Mhz/1333Mhz FSB
  Quad-Core Intel(R) Xeon(R) Processor 5300 series w/ 1066Mhz/1333Mhz FSB

Microcode update versions:
CPUID   Version Status  
0F64h   02      Production
0F65h   08      Production
06F6h   C9      Production 
06F7h   67      Production 
06FBh   B4      Production 


On-Board Component Option ROM Versions:
ATI RN50 VGA    	: BK-ATI YJ20234a VER008.005.023.000
				 YJ18794g (S5000PAL, S5000XAL, S5000PHB)
PXE Ver.        	: Intel(R) Boot Agent GE v1.2.45
ESB2 Option ROM 	: vA.01.07101204I
ESB2 AHCI Option ROM	: iSrc 1.08 09252006

Memory Reference Code Version:  1.21

================================================================================
                       SYSTEM FIRMWARE REQUIREMENTS
================================================================================
BIOS Update Utility: 
IFLASH32 VERSION 1.5.1 Build 7 

Product			BMC	FRUDSR	EEPROM	HSC 
S5000PAL, S5000XAL ->	60	FAL43	v03.01	v2.05


================================================================================
                           INSTALLATION NOTES
================================================================================

WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

Update BIOS using bootable USB Flash Drive:

Updating from BIOS revisions R0038 or earlier:
NOTE:  This operation will update both banks of the flash part.  This is necessary
as the Setup options from R0038 and earlier are not compatible with R0039 and later.

NOTE:  BIOS Bank Select jumper needs for be in Normal mode (2-3) during this whole
procedure.

1)  Download release package and extract contents to USB Flash Drive
2)  Verify that the R0081.CAP, UPDATE.BAT and IFLASH32.EXE files are present
    on the USB Flash drive
3)  Verify that BIOS Bank Select Jumper is set to Normal mode (2-3).
4)  Power system on and boot to USB Flash Drive
5)  At the command prompt type "update".
6)  Flash update should complete within 3 minutes
7)  Shut down the system but leave it connected to AC power
8)  Clear CMOS by moving the Clear CMOS jumper to the clear position and back.
9)  Boot system and enter BIOS Setup by pressing the F2 Key during POST
10) Verify BIOS string
11) Press F9 to load defaults
12) Press F10 to save and reset the system.
13) Power system on and boot to USB Flash Drive
14) At the command prompt type "update".
15) Flash update should complete within 3 minutes
16) Reboot system and enter BIOS Setup by pressing the F2 Key during POST
17) Verify BIOS string
 

Updating from BIOS revisions R0039 or later:
NOTE:  This operation will only update one bank in the flash part.  This is
recommended in case of a flash update failure that the system can be easily
recovered.

NOTE:  BIOS Bank Select jumper needs for be in Normal mode (2-3) during this
whole procedure.

1) Download release package and extract contents to USB Flash Drive
2) Verify that the R0081.CAP, UPDATE.BAT and IFLASH32.EXE files are present
   on the USB Flash drive
3) Verify that BIOS Bank Select jumper is set to Normal mode (2-3).
4) Power system on and boot to USB Flash Drive
5) At the command prompt type "update".
6) Flash update should complete within 3 minutes
7) Reboot system and enter BIOS Setup by pressing the F2 Key during POST
8) Verify BIOS string


================================================================================
                        BIOS RECOVERY INSTRUCTIONS
================================================================================

BIOS Recovery is not supported. 

Rolling BIOS is supported.

================================================================================
                            KNOWN ISSUES/WORKAROUNDS
================================================================================

-Video mode is set to 80x25 until BIOS defaults are loaded

-PAE mode and the equivalent Linux mode must be set to see > 2.5GB of memory.

NOTE:  Dual-Core Intel(R) Xeon(R) Processor 5100 series DO NOT support Hyper-Threading.
       The OS will only show 2 CPU threads per physical processor installed.
       Quad-Core Intel(R) Xeon(R) Processor 5300 series DO NOT support Hyper-Threading.
       The OS will only show 4 CPU threads per physical processor installed.
NOTE:  BIOS Setup shows the number of physical processors installed and not the
       number of processor cores. For example, when 2 Dual-Core Intel(R) Xeon(R)
       Processor 5100 series are installed, BIOS POST and Setup will only show 2 processors. 

-THIS BIOS ONLY SUPPORTS BETA OR LATER HARDWARE.
 DO NOT APPLY THIS BIOS TO ALPHA HARDWARE.

-IF CMOS IS CLEARED, IT MUST BE CLEARED PER THE INSTALLATION INSTRUCTIONS.

-When two Dual-Core Intel(R) Xeon(R) 5100 series processors are installed,
 an NMI error may appear during POST after updating from BIOS R0054 or earlier
 to BIOS releases after R0054.  This is expected and due to a change in the way
 errors are handled in the newer BIOS release. Perform a full DC power cycle
 (front panel power off and power on) to prevent this message from appearing again.

-As of BIOS R0063, may encounter a system reset upon first boot if previous
 NVRAM corruption has been found.

-As of BIOS R0077, Case Sensitivity support has been added to BIOS Admin/User password.
 If a password was installed using previous BIOS release without Case Sensitivity,
 enter old password in all lower case and then re-install password for proper Case Sensitivity.


================================================================================
                              FEATURES ADDED/REMOVED
================================================================================
-As of BIOS R0052, DIMMs with outdated AMB (Advanced Memory Buffer) component
 present are no longer supported. The system will halt with 3 beeps at POST code
 0xEA to indicate an "Unsupported AMB" error.

-As of BIOS R0056, removed support for Pre-production CPU steppings of the
 Dual-Core Intel(R) Xeon(R) Processor 5000 series.
 This includes processors with CPUID 0F61h, 0F62h, 0F63h.

-As of BIOS R0079, removed support for Pre-production CPU steppings of the
 Dual-Core Intel(R) Xeon(R) Processor 5100 series and Quad-Core Intel(R) Xeon(R)
 Processor 5300 series.
 This includes processors with CPUID 06F4h, 06F5h.

-As of BIOS R0081, removed support for Pre-production CPU steppings of the
 Dual-Core Intel(R) Xeon(R) Processor 5100 series and Quad-Core Intel(R) Xeon(R)
 Processor 5300 series.
 This includes processors with CPUID 06F9h.


================================================================================
                              FIXED ISSUES
================================================================================

172022	EFI shell environment variables running out of buffer space
172178  POST screen shows 2 garbage lines in BMC Forced Update Mode
127755  BMC Force Update Mode Does not enter BIOS Setup
127757  [X] SLES10 w/SP1 failed to boot w/PCIE HCA installed (retracted 127486 changes)
127767  Fail to install WIN 2KADV Server w/SP1 

OTHER:
    -	BIOS String Update "Add new CC3 requirements"
    -   Errata 100: ESB2 PCIe switch mis-formats TLPs
    -   MP Routing/Table Fixes
    -   Fix video corruption on Main tab in BIOS Setup w/console redir enabled
    -   Fix Unrecoverable Error Handling problems
    -   Fix kernel panic in Linux with throttled processors
    -   Loading user defaults loads invalid option on the boot order page
    -   Fixed garbled text in BIOS Setup at 115K baud w/console redir
    -   Workaround for DTX PCI-X add-in card blue screen failure.
    -   TPM Status appears in BIOS Setup on boards without TPM.
    -   Update ESB2 RAID OpRom to vA.01.07101204I
    -   WHQL test failure on I/O Port 161 and 162
    -	Add 06F6h B-2 processor microcode patch M046F6C9 for the Dual-Core
    -	Add 06F7h B-3 processor microcode patch M406F767 for the Quad-Core
    -   Allow B-step/G-step mixed stepping for 5100 and 5300 series processors


==================================================================================
Pedigree of Changes
==================================================================================

BIOS R79: (Released)
127486	[X] BIOS sets PCI-X configuration register poorly for 10GigE card.
127602	Serial Port Component detection failure with Legacy OS redirection Disabled.
127681	POST of QLA2342 shows "ERROR!IRQ Failure" with Active Riser Top Slots under R0074.
127697	System hang on QLogic QLA-2342 opROM if adapter in Top/Mid slot Active PCI-X riser.
127704	[X] Issues with PCIe Quad 4Gb FC Adapters w/ internal PCIe switches.
127711	Defective mini-SD Media Causes POST hang.
127716	BIOS does not go to default boot settings for chassis control command bit.
127720	Two POST Error events are logged in the SEL after Thermal Trip.
29300	3Gb/s SATA drives not working in 6th slot of SR2500.
29301	System Firmware Progress #0x06 always show twice in SEL.

    -	Increase the size of the S3 Resume runtime script table.
    -	Fixes for re-initialization on S3 Resume for HD Audio device & EHCI controller.
    -	SMBIOS v2.5 updates with values in Type 17 for Fully-Buffered DIMM (FB-DIMM) definitions.
    -	Correct some logic in programming of PATA controller.
    -	Removal of unused parameter passed to entry point of Memory Reference Code.
    -	Add S1 Power Save driver.
    -	Turn off POST code LEDs after S3 resume.
    -	Update to AMI TSE (Text Setup Environment) v1.20.1093.
    -	Add IDE Security feature to set Hard Drive Password.
    -	Add cc2 and cc3 support for processor power savings.
    -	Add platform-specific code for obtaining the size of the ACPI Reserved Memory.
    -	Add separate path for Processor re-initialization in PEI on S3 resume.
    -	Correct Memory Base Address used in PEI on S3 resume path.
    -	Fix max base of the memory resource producer range used for TPM device driver.
    -	Fix Diagnostic screen text display after HDD password prompt.
    -	Fix for F9 & F10 keys cause longer pause than with the previous TSE version.
    -	Fix to preserve FSB0 & FSB1 Error Masks and SATA MSI Registers after S3 resume.
    -	Correct display of OEM updated System Manufacturer string on POST Diag screen.
    -	Update to new Intel(R) Boot Agent Option ROM v1.2.45.
    -	Update AMI CSM16 (Compatibility Support Module) to version 35.
    -	Add 06F6h B-2 processor microcode patch M046F6C6 for the Dual-Core
	Intel(R) Xeon(R) Processor 5100 series.
    -	Add 06F7h B-3 processor microcode patch M406F766 for the Quad-Core
	Intel(R) Xeon(R) Processor 5300 series.
    -	Correct USB detected devices string in Setup when USB controller is disabled.
    -	Fix USB keyboard lock out when system halted from three bad password attempts.
    -	Add Support for getting SMBIOS Chassis Type Manufacturer from FRU.
    -	Fix DMIEdit not working under Windows PE.
    -	Sync BMC RTC may sometimes send BMC invalid time.
    -	Removal of pre-Production Beta microcode patches for processors with CPUID 06F4h, 06F5h.
    -	Fix issue where compiler may optimize out clearing of ESI Error Registers.
    -	Add Case Sensitivity support to BIOS Admin/User password.
    -	Add support for new Dual-Core & Quad-Core Processor Family/Model.
    -	Add warning message to Error Manager if Processor and Chipset configuration is unsupported.
    -	Add control for PXE ROM setup options on a per-port basis.
    -	Add 06FBh processor microcode patch M046FBB4 for the Dual-Core
	Intel(R) Xeon(R) Processor 5100 series.
    -	Add 06FBh processor microcode patch M406FBB4 for the Quad-Core
	Intel(R) Xeon(R) Processor 5300 series.
    -	Add FATAL error when booting baseboard with voltage mismatch for processor.
    -	Add Unitool to verify UQIs are unique.
    -	Add Watchdog timer coverage of OpROMs.
    -	Add new CC3 requirements.
    -	Correct CPUID procedure call used for S3 resume path.
    -	Increase BSP timout value waiting for AP to get into SMM.
    -	Resolve Data Parity Check failure with AMCC PCI-e Devices.
    -	Add ability to remove items from the Boot Order.
    -	Add suppressed setup option to remove the EFI Shell from the system boot option order.
    -	Add initial Platform ID support for S5000PSL SATA Depop SKU.
    -	Add fix for Console Redirection Menu Options Incorrecly Supressed in Some Cases.
    -	Correct SMBIOS Type 24 "Hardware Security Settings".
    -	Implement Workaround for Chipset Sighting #501436.
    -	Ensure all boot options in DefaultLegacyDevOrder are enabled for F9 defaults.
    -	Fix ASSERTs with EFI_DEBUG caused by Boot Option Disable changes for TSE.
    -	Fix behavior for Boot failover from Boot Manager and Forced Boot options.
    -	Fix boot flow so that Error Manager has priority over Boot Manager active boot.
    -   Fix RHEL4/SLES9 kernel panic when Speedstep is disabled.


BIOS R74: (Released)

127404	External Connector Type for IDE/SATA ports indicated as "None" in Smbios Type 8 structure.
127458	Bios 61 - SLES10, NMI recieved when halting system.
127550	SLV: System hangs when booting IDA CD.
127586	The POST codes of mixing normal and SPD failed DIMM are contrary to the BIOS EPS v1.08.
127595	Unit under test failed to display "cache size mismatch detected" and halt the system.
127602	Serial Port Component detection failure with Legacy OS redirection Disabled.
127608	RHEL AS4 U4 64bit kernel panic with Speedstep enabled on Quad-Core Intel(R)
	Xeon(R) Processor 5300 series 2.33GHz B3 FSB 1333MHz.
    - 	Add ACPI IPMI Support for Exposing BMC resources via ACPI.
    - 	Update AMIBCP with added support for "Access/Use" feature.
    - 	Included additional escape sequence handling of F11 & F12 keys for terminal emulation.
    - 	Update _PSS package number of elements to match the unique number of P-states.
    - 	Update to Change Logo utility to version 4.19.
    - 	Update AMI Copyright string for 2007.
    -  	Update AMI CSM16 (Compatibility Support Module) to version 33.
    - 	SMBIOS Type 17 enhancements for populating the Manufacturer ID, Serial Number,
  	and Asset Tag fields from the SPD.
    - 	SMBIOS Type 17 enhancements towards new FB-DIMM definitions in SMBIOS version 2.5.
    - 	USB devices sorted to highest boot priority within their device type.
    - 	Included modifications for S3 support.
    - 	Include new "Boot Option Retry" feature and setup option.
    - 	Updates for Intel(R) 5000 Series MCH BIOS Specification Update Revision 1.01.
    - 	Updates for ESB2 ICH BIOS Specification Update Revision 0.78.
    - 	Update to new ESB2 RAID Option ROM vA.01.01021804I
    - 	Additional PCI-E port clock configuration and ESB2 BIOS Spec update changes.
    -  	Save additional registers to Runtime table for restore on S3 resume.


BIOS R70: (Released)

127473	"Get System Restart Cause" responding invalid Restart cause.
    -	Implement common PlatformIdentify support to read and publish Platform SKU ID.
    -	Fix support for IPMI Get System Boot Options command.
    -	Fix support for IPMI Set Serial MUX command.
    -	Add 06F9h E-0 processor microcode patch M046F982 for the Dual-Core
	Intel(R) Xeon(R) Processor 5100 series.
    -	Add 06F9h E-0 processor microcode patch M406F984 for the Quad-Core
	Intel(R) Xeon(R) Processor 5300 series.
    -	Update to Intel(R) 5000 Series Chipset Memory Reference Code v1.21 patch.
    -	Fix support for IPMI Set Processor TControl command.


BIOS R68: (Not Released)

127501	No beeps sound can be detected during the memory iBIST test.
127509	[SelfTest]MEMORY_RANGE Error.
127567	Setup indicates wrong memory size and DIMM information if a Mirroring config
	contains a failed DIMM.
    -	Fix PCI-E Swizzle support for future platform porting.
    -	Update AMI CSM16 (Compatibility Support Module) to version 30.
    -	Update to Intel(R) 5000 Series Chipset Memory Reference Code v1.20.
    -	Unicode file cleanup.
    -	Enable Patrol Scrubbing for Intel(R) 5000 Series Chipset G1 stepping and later.
    -	Update to latest EPCS (EFI Platform Configuration Script) Utilities.
    -	Fix a bug check with Windows EpcsUtil.
    -	Correct particular USB drive strength setting overwritten on S5000PAL.
    -	Improved code flow for hiding COM port from OS in the case of SOL or LOSR.
    -	Server Management Optimization support changes.
    -	Rolling BIOS fix for rare infinite resets.
    -	Map out Electrically Isolated DIMMs on Truncated Channels.
    -	Update to new ESB2 RAID Option ROM vA.01.10241435I
    -	Restrict Boot Manager options in User mode.
    -	Enhancements for Optimization of Maximum Read Request Sizes of PCI-e Devices.
    -	Add AMI BIOS Configuration Program (BCP) v2.6 Support.
    -	Add setup option for "FSB High Bandwidth Optimization".
    -	Fix PERR enable bit not preserved in PCICMD register of SATA controller.


BIOS R66: (Released)

127538	BIOS R0065 causes the System error event: IRQ failure of ACPI BIOS(ID 6).
127546	[X] Change Logo utility causing BIOS corruption.
127551	[X] BIOS R0064 cannot change OEMlogo.


BIOS R65: (Not Released)

127412	[X] 500 Gbyte SATA drives failing to boot.
127424	The Uncorrectable Error behavior with 4 FB-DIMMs population is questionable.
127481	M5 memory error does not generate an NMI.
127487	[X] 'Press F2 to Enter Setup' message flashing during console redirection.
127495	Incorrect behavior observed during error injection in Memory Mirroring mode.
127516	BIOS not responding to BMC SetSystemBootOption command.
127517	Cannot enter Intel Embedded Server RAID Technology II ESB2 OpROM /system hang
127519	SLES10 x86_64 dmesg repoerts error 'Invalid PBLK length [5]'.
127521	[Linux]Fail to install SLES10 32bit to ESB2 SATA SW RAID with the latest
	driver(06.14.0913.2006).
127524	[X] BIOS R0064 Causes SOL Console Corruption prior to LSI MPT OpROM load.

    -	Add ACPI IPMI Support (Exposing BMC resources via ACPI).
    -	Remove files from tree for MemoryInitDriver component.
    -	Do not report External Clock value for empty socket in SMBIOS Type 4.
    -	Add UpdateOemBit utility for setting MFG flag.
    -	Disable Unused PCI Clocks for S5000PAL.
    -	Add MSI Emulation support for PCI-E on S5000PAL.
    -	Add PCI-E Swizzle support for riser on S5000PAL.
    -	Ensure embedded IBA image only used for I/O Module and not add-on NICs
	with the same controller.
    -	Ensure iSCSI OpROM correctly identified based on the Class code in PnP header.
    -	Adjust display of Error Manager message for improper Memory RAS configuration.
    -	Updates for possible NVRAM corruption.
    -	Update to new ESB2 AHCI Option ROM Version iSrc 1.08 09252006.
    -	Suppress "Staggered Spin-Up Support" setup option.
    -	Remove AMI BCP (BIOS Configuration Program) Support.
    -	Unicode file cleanup and removal of unused Unicode files.
    -	Update to new ESB2 RAID Option ROM vA.01.09220849I


BIOS R64: (Released)

127421	[X]BIOS does not recognize an IDE Flash drive.
127502	The Processor Front Side Bus Speed Mismatch error will be issued with 
	Dual-Core Intel(R) Xeon(R) Processor 5000 series C-1 stepping processors.
127504	The system can't load BIOS setup default by setting "Clear CMOS Jumper".
127506	The system hangs with CPU configuration error during DC Cycle test.


BIOS R63: (Not Released)

127036  [X] SOL doesn't work in DOS.
127399  [Selftest] MP Rules not consistent.
127450  Dual-Core Intel(R) Xeon(R) Processor 5300 series can't generate Data
            Parity Error in the second CPU.
127466  Not enough resources when insert full 2U FL PCI-X Passive riser card.
127481  M5 memory error does not generate an NMI.
127486  [X] BIOS sets PCI-X configuration registor poorly for 10GigE card.
127492  Unable to set Admin password on Fab 801 motherboard with BIOS R0062.

    -	BIOS source tree restructure.
    -	Change SEC microcode update to load patches from the microcode firmware volume.
    -	Implement workaround for Intel(R) 5000 Series Chipset Sighting 501223.
    -	Fix BIOS Hang on SOL Auto Activation.
    -	Add AMI BCP (BIOS Configuration Program) Support.
    -	Update BMC DIMM information mapping support for SC5400RA.
    -	Add SMBIOS v2.5 support for the Type 4 Processor Information record.
    -	Update AMI CSM16 (Compatibility Support Module) to version 28.
    -	Increase robustness of Flash EEPROM erase and program routines
    -	Prevent Driver#### NVRAM entries when no keyboard is present
    -	Update to W/A for BNB Sighting #501984: Patrol Scrub with CRC Error Issue.
    -	Cleanup Runtime Memory Error Handling.
    -	Add support to automatically patch AP reset vector for SEC code at build time.
    -	Support to build manufacturing approved capsule.
    -	Add IpmiSolStatusProtocol.
    -	VT help text change to not need an AC cycle.
    -	Ensure not to assert EFI error if an invisible cursor is used for TerminalConOut.
    -	Ensure Quite Boot only enabled if CR or SOL is not active.
    -	Add DIMM Fault LED implementation for SC5400RA.


BIOS R62: (Not Released)
    -   Remove support changes implemented for defect #127404.


BIOS R61: (Not released)

126574  [Sporadic] System can't shutdown from Windows Start menu.
126619  System hung when press <Ctrl + Q> into BIOS of QLogic2342.
127116  System will auto reboot when Active Mid-Plane(LSI 1068) set to SW RAID
            and SAS I/O module(LSI 1064e) inserted at same time.
127282  SMART event logged message shows up in the POST screen.
127378  [X]Potential BIOS mapping bug
127394  WHQL-Cert - Subsystem vendor ID for 80333 Memory Controller does not match
            system vendor ID.
127395  SMBIOS Type 9 is wrong on new 2U LP PCI-E riser.
127398  The Correctable Error behaviors are not consistant with two kinds of DIMM
            population during sparing mode.
127404  External Connector Type for IDE/SATA ports indicated as "None"
            in Smbios Type 8 structure.
127405  System does not prompt Save & Reset when User defaults are restored in
            the BIOS Setup.
127412  (x) 500 Gbyte SATA drives failing to boot.
127425  Down clocking 667 FBDIMM modules to 533 results in a degradation of performance.
127435  [Console Redirection]When user enable both quiet boot and console redirection
            in the BIOS setup, the UUT will fail to boot up with splash logo.
    
    -	BIOS Setup menu cleanup changes for clarity and consistency.
    -	Improve the algorithm for multiple option ROM detection.
    -	New setup option for enabling memory mapped I/O of 64-bit PCI devices
	to 4GB or greater address space.
    -	Simulated MSI support For S5000PSL.
    -	Update to new ESB2 RAID Option ROM vA.01.07251734I
    -	Fix No Video with adapter cards in slot1-3 on S5000XVN.
    -	Remove incorrect ACPI _OSC method in S5000PAL
    -	Update to new ESB2 AHCI Option ROM Version iSrc 1.07 08042006.
    -	Update to Intel(R) 5000 Series Chipset Memory Reference Code v1.11 (External Release).
    -	Fix MTRRs not reprogrammed correctly for the APs during S3 resume path.
    -	Add 06F7h B-3 processor microcode patch M406F760 for Platform ID 0x40.
    -	Report S3 resume path same as power on reset so all Machine Check Status
	registers are cleared.
    -	Fix DeviceID of SAS RAID lost when S3 resume.
    -	Add support for 1U riser with 2* PCIe x4 slots on the S5000VCL platform.
    -	Int15 Microcode update Return Error codes implementation.
    -	Fix SC5400RA issue where system hangs at POST code 0xE6 when install 16 DIMMs.
    -	Add VGA text mode support for improved speed when console redirection is enabled.
    -	Fix System fails to restore Windows on consecutive S3 resumes.
    -	Change support for 667 Mhz FBDDIMMs to run at full speed with 1066Mhz FSB.
    -	Update MTRRs for PCI prefetchable memory above 4GB when enabled.


BIOS R60: (Not Released)

127378  [X]Potential BIOS mapping bug


BIOS R59: (Released)

127411	[X] SMBIOS entry point not found with BIOS 56 and multiple add-in cards.


BIOS R57 (Not Released)

None.


BIOS R56 (Not Released)

127251	When bad or corrupt SPD DIMM installed, POST Diagnostic LED code does
	not match definition.
127284	Using "Edit" under EFI shell, the PS/2 mouse cursor is moving with
	difficulty and the LEDs on PS/2 K/B are blinking.
127292	The sub-menu of Mass Storage Controller in BIOS setup disappeared at
	first re-boot of clearing CMOS by jumper.
127293	When the user populate Active Mid Plane RAID key, the sub-menu of
	"ROMB Setup" is still grayed out.
127322	[X] Problems booting with PXFA/PXSA ESCON Adapters installed.
127332	With some DIMMs, Closed Loop Throttling Bit (ThermHunt) gets enabled.
127348	BIOS R0055 breaks add in adapter Intel SCRU42E
127355	(EPSD) BIOS R0055, system renters BIOS setup on each reboot.
127359	AMI Monitor Key Filter does not work if EBDA segment location updated by OpROM.
127363	When install windows 2003 EE R2 into Intel SRCU42E, it can't detect any HDDs.
127366	[X]modifying the master.cfg file to add OEM information will show chassis
	manufacturer the same as product manufacturer.
127368	SAS Option ROM enable/disable needs to be hidden for all products.


    -	Update to new ESB2 RAID Option ROM vA.01.06231119I
    -	Removal of pre-Production Beta microcode patches for processors with 
	CPUID 0F61h, 0F62h, 0F63h.
    -	Update to new Intel(R) Boot Agent Option ROM v1.2.40
    -	Move overriding platform specific code into separate sub-components and
	implement libraries for platform specific hooks.
    -	Cleanup and reorder project components according to logical Project structure.
    -	Fix for INT15 Read function
    -	Code updated for S3 Save/Restore service routine on PCIe address.
    -	Add <ESC> hot key message on Quiet Boot screen and update handling of <ESC> key
    -	Fix Link Training Error in Manufacturing Mode w/ PCI-e IBIST.
    -	Bug fixed for registers missed from S3 Resume. (PCI & MMIO).
    -	Mask CEMR:[RTT] when Marvell or Sysconnect card installed.
    -	Update to Intel(R) 5000 Series Chipset Memory Reference Code v1.11 RC2.
    -	Change message type for PCIe correctable errors
    -	Add 06F5h B-1 processor microcode patch M506F533 for Platform ID 0x50.
    -	Fix strings with no assigned UQI value.


BIOS R54:

127210	EVENT 120 (WMIxWDM - Fatal Memory Hierarchy Error (Event Viewer) on two
	Win2003 R2 EE (EM64T) systems.
127277	SMI Time Out Occured and System Hangs for every Power cycle.
-	Add 9600 Baud to the SOL configuration
-	Fix BIOS setup display for processors with CPUID 0F65h & 06F6h
-	Display Current Memory Speed on the Diagnostic text window


BIOS R53 (Not Released)

127271	PS/2 Keyboard has no response occasionally.


BIOS R52 (Not Released)

125228	System clock abnormality
126963	Junk characters redirection happens in SOL console redirection
127116	System will auto reboot when Active Mid-Plane(LSI 1068) set to SW RAID
	and SAS I/O module(LSI 1064e) inserted at same time
127194	Critical Interrupt #0xA0, Bus Uncorrectable Error" in SEL.
127210	EVENT 120 (WMIxWDM - Fatal Memory Hierarchy Error (Event Viewer)
	on two Win2003 R2 EE (EM64T) systems
127251	When bad or corrupt SPD DIMM installed, POST Diagnostic LED code does
	not matched with EPS 1.03.
127261	System will hang at 0x7Ah during booting-up when EEPROM is programmed by
	BIOS programmer device
    -	Update to new ESB2 RAID Option ROM vA.01.06051927I
    -	Update AMI CSM16 (Compatibility Support Module) to version 26.
    -	Update to Intel(R) 5000 Series Chipset Memory Reference Code v1.10.
    -	Ensure with Dual Core disabled, all Multi-Core processors should have
	1 CPU Core enabled.
    -	Fix mistake in GV3 Lock routine.
    -	Display Current Memory Speed on the Memory Configuration sub-menu
    -	Add 0F65h D-0 processor microcode Beta patch M01F6508.
    -	Do not publish console redirection if baud rate is anything other than PC-ANSI
    -	Improvements to Serial Over-LAN functionality.


BIOS R51 (Not Released)

127243	Can't update R50 normally and system will generate 8602 error in Error Manager.
    -	Add check for NULL device path node when connecting terminal devices.


BIOS R50 (Not Released)

125290	"Port 60/64 Emulation" default setting not match with EPS.
126111	The Sparing/Mirroring possibility shown in BIOS setup is broken
126686	Memory address on SMBIOS Type 20 should be redefined.
126695	Sometimes the full screen is not seen in SOL redirected screen
126992	Processor: 2Ah MSR_EBC_HARD_POWERON [4] BINIT# Observation Disabled is failed.
126993	Processor: 2Ah MSR_EBC_HARD_POWERON [3] MCERR# Observation Disabled is failed.
126996	LPC Bridge (ESB2) 3418h FUNCTION DISABLE REGISTER [7] - MMIOis failed.
127036	[X] SOL doesn't work in DOS
127038	[X] Initial POST Messages after a reset not seen at SOL console
127124	Smbios Type 8 structure related errors
127138	Option of "NIC IO module(enable/disable)" appeared when CMOS cleared
	even NIC IO module is not installed.
127191	Win 2k3 R2, 64b & 32b fail installation in SATA AHCI Mode 
	(6 SATA Drives connected to ESB2) & SAS I/O Module connected to SAS JBODs.
127195	PS/2 Keyboard and Mouse have no function in RHEL4 AS 32/64bit OS.
127210	EVENT 120 (WMIxWDM - Fatal Memory Hierarchy Error (Event Viewer) on two
	Win2003 R2 EE (EM64T) systems.
127216	Able to Load and Save BIOS setup defaults when Setup is entered with
	User password.
127235	The length of of Dual-Core Intel(R) Xeon(R) Processor 5100 series B1
	stepping Processor name in BIOS setup Main menu is not enough.
    -	Include EPCS EFI utility
    -	LocateProtocol clean up for multiple PlatformIdProtocol
    -	SMBIOS Type 17 Total/Data Widths should be at the DIMM-level granularity
    -	Generic Monolithic Support for Memory Capacity Detection
    -	Fix suppressif conditional for 5000X SKU setup options.
    -	Correct unused LocalRoot reference
    -	Make the "Configure SAS as SW RAID" setup option configurable again.
    -	Include lock-stepped partner DIMM on persistent memory error.
    -	Cleanup Memory DFT Support.
    -	Update to new ESB2 AHCI Option ROM Version iSrc 1.05 05302006.
    -	Update to new ESB2 RAID Option ROM vA.01.05311325I
    -	Enable ESB2 PCIe Root Port error reporting
    -	Add 06F6h B-2 processor microcode patch M046F644.
    -	Enable MCERR generation on Dual-Core Intel(R) Xeon(R) Processor 5100 series
    -	Clear the direction flag to fix EFI_DEBUG bug
    -	Change BDS connect Terminal before VGA so messages are available at TSE start
    -	Add UIP check for RTC sync
    -	Unhide Memory RAS setup options


[END OF RELEASE NOTES]
